//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

// CyberDog is really only supported in Metrowerks builds. Unfortunately,
// we can't detect that we are in Metrowerks REZ or the Metrowerks ODFRC
// plugin, so we always define FW_SUPPORTS_CYBERDOG true for resource
// compiles.

#ifdef FW_SUPPORTS_CYBERDOG
#undef FW_SUPPORTS_CYBERDOG
#endif

#define FW_SUPPORTS_CYBERDOG 1

#if FW_SUPPORTS_CYBERDOG
#ifndef FWSAVEAS_FR
#include "FWSaveAs.fr"
#endif
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kViewAsIconID,
	
	// ----- MenuBar ID
	kMenuBar,
	
	// ----- Document Window ID
	0,
	
	// ----- Part Name (also the default stationery name?)
	kODFBitmapEditorUserString,
	
	// ----- PartKind
	kODFBitmapKind
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	kAboutIconID,														
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFBitmap"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 2"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODFBitmap is a simple bitmap viewer. It supports selection, Cut/Copy/Paste, "
		"Drag&Drop, and frame negotiation.\r\r\r\r"									
		"Written by the ODF Team.\r"
		// the line below is required by the IJG license:
		"This software is based in part on the work of the Independent JPEG Group.\r"
	),
	// ----- ButtonString
	"OK",
	// ----- ButtonSize
	{FW_FIX(80), FW_FIX(30)}
};

//----------------------------------------------------------------------------------------
//	Save As Info
//----------------------------------------------------------------------------------------

#if FW_SUPPORTS_CYBERDOG
resource FW_RSaveAsInfo (kSaveAs) {
	"Save a copy as:",
	{
		"OpenDoc Document",
		"Internet Reference",
		"Picture"
	}
};
#endif
