//========================================================================================
//
//	File:				Select.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SELECT_H
#define SELECT_H

// ----- FrameWork Includes -----

#ifndef FWSELECT_H
#include "FWSelect.h"
#endif

// ----- Graphic Includes -----

#ifndef FWRECSHP_H
#include "FWRecShp.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CGraphicContext;
class CBitmapPart;
class CBitmapFrame;
class CBitmapSelectionContent;
class CBitmapContent;

//========================================================================================
//	class CBitmapSelection
//========================================================================================

class CBitmapSelection : public FW_CSelection
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	FW_DECLARE_AUTO(CBitmapSelection)

	CBitmapSelection(Environment* ev, CBitmapPart* thePart, CBitmapContent* content);
	virtual 		~CBitmapSelection();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_Boolean		IsEmpty(Environment* ev) const;
	virtual void			SelectAll(Environment* ev);
	virtual void			ClearSelection(Environment* ev);
	virtual void			CloseSelection(Environment* ev);
	virtual FW_CContent*	GetSelectedContent(Environment* ev);
	
	virtual ODShape*		AcquireSelectionShape(Environment* ev, ODFacet* facet, FW_CFrame* frame);
					
//----------------------------------------------------------------------------------------
//	New API
//
public:
	void					GetSelectRect(const FW_CPoint& ratio, const FW_CRect& usedRect, FW_CRect& rect) const;
	void					SetSelectRect(const FW_CPoint& ratio, const FW_CRect& usedRect, const FW_CRect& rect);
	
	void					MoveAnts(Environment* ev, CBitmapFrame* frame);
	void					DrawAnts(Environment* ev, CBitmapFrame* frame);
	void					DoDrawAnts(Environment* ev, FW_CGraphicContext& fc, CBitmapFrame* frame);
		
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CBitmapSelectionContent*	fSelectedContent;
	CBitmapPart*				fBitmapPart;
	FW_Boolean					fHasSelection;
	FW_CRectShape				fRectShape;
};

#endif