//========================================================================================
//
//	File:				Behavior.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef BEHAVIOR_H
#define BEHAVIOR_H

#ifndef FWEVENTH_H
#include "FWEventH.h"
#endif

//========================================================================================
//	Forward Class Declarations
//========================================================================================

class ODFocusSet;

//========================================================================================
//	class COptionBehavior
//========================================================================================

class COptionBehavior : public FW_MEventHandler
{
public:
	FW_DECLARE_AUTO(COptionBehavior)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	COptionBehavior(Environment* ev);
	virtual ~COptionBehavior();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_Handled		DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent);
	
//----------------------------------------------------------------------------------------
//	New API
//
public:
	ODFocusSet*				GetDesiredFocusSet();
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	ODFocusSet*				fDesiredFocusSet;	// Equal fFullFocusSet or fEmptyFocusSet
	ODFocusSet*				fCurrentFocusSet;	// the focus set currently used by the frame
	
	ODFocusSet*				fFullFocusSet;
	ODFocusSet*				fEmptyFocusSet;
};

#endif