//========================================================================================
//
//	File:				Content.h
//	Release Version:	$ ODF 2 $
//
//	Author:				M.Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONTENT_H
#define CONTENT_H

// ----- FrameWork Includes -----

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef FWEXCLIB_H
#include "FWExcLib.h"
#endif

#ifndef FWRECEVR_H
#include "FWRecevr.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CButtonPart;
class CAction;
class FW_CNotification;

//========================================================================================
//	class CButtonContent
//========================================================================================

class CButtonContent : public FW_CContent, public FW_MReceiver
{
  public:
	FW_DECLARE_AUTO(CButtonContent)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CButtonContent(Environment* ev, CButtonPart* part);
	virtual ~CButtonContent();

//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual void		ExternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit,
									FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CPromise* promise,
									FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	InternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit, 
								 	FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CCloneInfo* cloneInfo);

	virtual void		HandleNotification(Environment* ev, const FW_CNotification& notification);
	
//----------------------------------------------------------------------------------------
//	New API
//
  public:
  	CAction*			GetAction();
  	void				ChangeAction(Environment* ev, CAction* action, short actionType);

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	short				fActionType;
	CAction*			fAction;
	CButtonPart*		fPart;
};

//----------------------------------------------------------------------------------------
// CButtonContent::GetAction
//----------------------------------------------------------------------------------------

inline CAction* CButtonContent::GetAction()
{
	return fAction;
}

#endif
