//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//	Modified by:		M.Boetcher to accept Dropped and Pasted sounds
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWDRGDRP_H
#include "FWDrgDrp.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class COptionBehavior;
class CButtonContent;

//========================================================================================
//	class CButtonFrame
//========================================================================================

class CButtonFrame : public FW_CFrame, FW_MDroppableFrame
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
 	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CButtonFrame)

	CButtonFrame(Environment* ev, 
					ODFrame* frame, 
					FW_CPresentation* presentation, 
					FW_CPart* part,
					CButtonContent* content);	
	virtual ~CButtonFrame();

//----------------------------------------------------------------------------------------
//	FW_CFrame overrides
//
public:
	FW_CDropCommand*		NewDropCommand(Environment *ev, 
									FW_CFrame* frame,
									ODDragItemIterator* dropInfo, 
									ODFacet* facet, 
									const FW_CPoint& dropPoint);

	virtual void 			Draw(Environment* ev, 
									ODFacet* facet, 
									ODShape* invalidShape);

	virtual FW_Boolean		RequestFocusSet(Environment *ev);

	virtual ODFocusSet*		GetFocusSet(Environment* ev) const;	
	
	virtual void 			PostCreateViewFromStream(Environment* ev);

//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CButtonContent*			fContent;
	COptionBehavior*		fOptionBehavior;
	ODFocusSet*				fCurrentFocusSet;	// This is the current focus set
};

#endif