//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//	Modified by:		M.Boetcher to accept Dropped and Pasted sounds
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

#ifndef FWPART_H
#include "FWPart.h"
#endif

#ifndef FWPRTSCP_H
#include "FWPrtScp.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class CButtonContent;

//========================================================================================
//	class CButtonPart
//========================================================================================

class CButtonPart : public FW_CPart, public FW_MPartScriptable
{
public:

	FW_DECLARE_AUTO(CButtonPart)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CButtonPart(ODPart* odPart);
	virtual ~CButtonPart();
	
	virtual void	Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage);
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual FW_CFrame*	NewFrame(Environment* ev,
							ODFrame* odFrame,
							FW_CPresentation* presentation,
							FW_Boolean fromStorage);
	
	virtual FW_CContent* NewPartContent(Environment* ev);
	
	virtual void		DoSemanticEvent(Environment* ev,
										FW_CPart* part,
										AEKeyword eventClass,
										AEKeyword eventID,
										const FW_CAppleEvent& event,
										FW_CAppleEvent& reply);

//----------------------------------------------------------------------------------------
//	Data Members
//
 public:
	FW_CKind*			fDataSoundKind;
	FW_CKind*			fDataScriptKind;

  private:
	CButtonContent*		fButtonContent;
};


#endif
