//========================================================================================
//
//	File:				Part.r
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFButtonEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFButton"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapID) {
	kODKind,
	{
		kODFButtonKind, kODIsAnISOStringList {
			{
				kODCategoryControl
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapID) {
	kODEditorKinds,
	{
		kODFButtonEditor, kODIsAnISOStringList {
			{
				kODFButtonKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapID) {
	kODEditorUserString,
	{
		kODFButtonEditor, kODIsINTLText {
			smRoman, langEnglish, "ODFButton R2"
		}
	}
};

resource kODNameMappings (kKindUserStringMapID) {
	kODKindUserString,
	{
		kODFButtonKind, kODIsINTLText {
			smRoman, langEnglish, "ODF Button Example"
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapID) {
	kODKindOldMacOSType,
	{
		kODFButtonKind, kODIsMacOSType {
			kODFButtonOSType
		}
	}
};

resource kODNameMappings (kEditorPlatformKinds) {
	kODEditorPlatformKind,
	{	
		kODFButtonKind, kODIsPltfmTypeSpac {
			{
				kODPlatformFileType, 'sfil', smRoman, langEnglish, "Sound File", kODCategorySampledSound,
				kODPlatformDataType, 'snd ', smRoman, langEnglish, "Sound Data", kODCategorySampledSound,
				kODPlatformFileType, 'osas', smRoman, langEnglish, "Script File", kODCategoryScript,
				kODPlatformDataType, 'scpt', smRoman, langEnglish, "Script Data", kODCategoryScript
			}
		}
	}
};

//-------------------------------------------------------------------------------------
// Other Resources
//-------------------------------------------------------------------------------------

include "MacIcons.rsrc" not 'ckid';
