//========================================================================================
//	File:				Dialog.fr
//	Release Version:	$ ODF 2 $
//
//	Contains:			Resources defining the ODFClock part's dialogs
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

#ifndef FWNOTDEF_H
#include "FWNotDef.h"	 
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

//----------------------------------------------------------------------------
//	Strings for clock settings
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kClockStrings)
{
	kOffsetErrorString, "Offset must be between -23 and 23";
	kClockSettingsTitleString, "ODFClock Settings";
}

//========================================================================================
// resource RFormFrame(kClockSettingsDialog)
//========================================================================================
// See constants in "FWViews.k", macros & resource types in "FWViews.fr"

resource FW_RFrameLayout(kClockSettingsDialog)
{
	{FW_FIX(320),FW_FIX(130)},		// Layout Size - HV
	
	{						// Start list of frame's subviews
		FW_RStaticText
		(
			0,							// view id
			FW_BOUNDS(10, 20, 210, 40),	// LTRB
			FW_kFixedBounds,			// binding
			FW_NORMAL_FONT,
			FW_RGB_WHITE,
			"Hours to offset time:"			
		),
		FW_REditView					// edit view to enter string
		(
			kTimeOffsetViewID,			// view id
			FW_BOUNDS(220, 20, 310, 40),
			FW_kFixedBounds,			// binding
			4,							// max chars
			9,							// attributes
			FW_NORMAL_FONT, 
			"0"							// initial text
		), 
		FW_RStaticText
		(
			0,							// view id
			FW_BOUNDS(10, 60, 210, 80),
			FW_kFixedBounds,			// binding
			FW_NORMAL_FONT,
			FW_RGB_WHITE,
			"String to draw on clock face:"			
		),
		FW_REditView					// edit view to enter string
		(
			kFaceStringViewID,			// view id
			FW_BOUNDS(220, 60, 310, 80),
			FW_kFixedBounds,			// binding
			16,							// max chars
			9,							// attributes
			FW_NORMAL_FONT, 
			"ODF"						// initial text
		), 
		FW_RButton
		(
			kClockOKButtonID,			// view id
			FW_BOUNDS(185, 97, 265, 125),
			FW_kFixedBounds,			// binding
			FW_kDefaultButtonMsg,		// "OK" message
			0,							// receiver = dialogFrame by default
			0,							// control value
			FW_kDefaultPushButton,		// button kind (with outline)
			FW_SYSTEM_FONT,
			"OK"			
		), 
		FW_RButton
		(
			kCancelButtonID,			// view id
			FW_BOUNDS(55, 100, 135, 122),
			FW_kFixedBounds,			// binding
			FW_kCancelButtonMsg,		// "Cancel" message
			0,							// receiver = dialogFrame by default
			0,							// control value
			FW_kPushButton,				// button kind (no outline)
			FW_SYSTEM_FONT,
			"Cancel"			
		)
	},						// End list of frame's subviews
	{ }						// no scroller
};
