//========================================================================================
//
//	File:				Dialog.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Mary Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef DIALOG_H
#define DIALOG_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWEVENT_H
#include "FWEvent.h"
#endif

#ifndef FWDIALOG_H
#include "FWDialog.h"
#endif

//==============================================================================
// Forward Declarations
//==============================================================================

class CClockPart;
class FW_CEditView;

//==============================================================================
// class CClockSettingsDialogFrame
//==============================================================================

class CClockSettingsDialogFrame : public FW_CDialogFrame
{
  public:
	FW_DECLARE_AUTO(CClockSettingsDialogFrame)

	CClockSettingsDialogFrame(Environment* ev, 
				ODFrame* odFrame, 
				FW_CPresentation* presentation, 
				CClockPart* part);

	virtual ~CClockSettingsDialogFrame();

  public:	
	// ---- FW_CDialogFrame API
	virtual void 		HandleNotification(Environment* ev, const FW_CNotification& notification);

	// ----- FW_CView & FW_CFrame API
	virtual void 		PostCreateViewFromStream(Environment* ev);

	// ----- Private data
  private:
  	CClockPart* 		fClockPart;
	FW_CEditView*		fNumberView;
	FW_CEditView*		fStringView;
};

//========================================================================================
//	class CNumberFilter
//========================================================================================

class CNumberFilter : public FW_MEventHandler
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CNumberFilter)

	CNumberFilter(Environment* ev, FW_MEventHandler* parent);
	virtual	~CNumberFilter();

	// ----- FW_MEventHandler API
	virtual FW_Handled 	DoCharKey(Environment* ev, const FW_CCharKeyEvent& theCharKeyEvent);
};

#endif