//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

#ifndef FWWINDOW_K
#include "FWWindow.k"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kViewAsIconID,
	
	// ----- MenuBar ID
	kMenuBar,
	
	// ----- Document Window ID
	kDocumentWindowID,
	
	// ----- Part Name
	kODFClockEditorUserString,
	
	// ----- PartKind
	kODFClockKind
};

//----------------------------------------------------------------------------------------
//	Document Window Resource
//----------------------------------------------------------------------------------------

resource FW_RDocumentWindow(kDocumentWindowID)
{
	// ----- Size
	{FW_FIX(200), FW_FIX(200)},
	
	// ----- Position
	{FW_FIX(0), FW_FIX(0)},		// (0,0) means default position
	
	// ----- Style
	FW_kDocumentWindow,

	// ----- Presentation
	kAnalogPresentation
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	kAboutIconID,
	
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFClock"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 2"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODFClock is a simple non-embedding part editor displaying a clock "
		"in either digital or anolog mode. In analog mode ODFClock uses a "
		"non-rectangular used shape.\r\r\r"
		"Written by the ODF Team.\r"
	),
	// ----- ButtonString
	"OK",
	// ----- ButtonSize
	{FW_FIX(80), FW_FIX(30)}
};