//	File:		Menus.fr
//
//	Contains:	Resources for ODFContainer
//
//	Written by:	Mary Boetcher
//
//	Copyright:	 1993-1996 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ODFContainer...",

	{
		FW_RPullDownMenu
		(
			"Container"
			{
				FW_RSubMenuItem
				(
					"Embed As"
					{
						FW_RTextItem(cAsFrame,		FW_kNoKeyEquivalent, "Frame"),
						FW_RTextItem(cAsLargeIcon,	FW_kNoKeyEquivalent, "Large Icon"),
						FW_RTextItem(cAsSmallIcon,	FW_kNoKeyEquivalent, "Small Icon"),
						FW_RTextItem(cAsThumbnail,	FW_kNoKeyEquivalent, "Thumbnail")
					}
				),
				FW_RSubMenuItem
				(
					"Scaling Factor"
					{
						FW_RTextItem(cZoom50,	FW_kNoKeyEquivalent, "50%"),
						FW_RTextItem(cZoom100,	FW_kNoKeyEquivalent, "100%"),
						FW_RTextItem(cZoom200,	FW_kNoKeyEquivalent, "200%")
					}
				),
				FW_RSeparatorItem(),
				FW_RTextItem(cSetBackgroundColor, FW_kNoKeyEquivalent, "Set Background Color...")
			}
		)
	}
};

//----------------------------------------------------------------------------
//	Strings
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kUndoStrings)
{
	kUndoResizeMsg, 		"Undo Resize";
	kRedoResizeMsg, 		"Redo Resize";
	kUndoEmbedAsMsg, 		"Undo Embed As";
	kRedoEmbedAsMsg, 		"Redo Embed As";
	kUndoSetBackColorMsg,	"Undo Set Background Color";
	kRedoSetBackColorMsg,	"Redo Set Background Color";
}
