//========================================================================================
//
//	File:							Part.r
//	Release Version:	$ ODF 1 $
//
//	Author:				M.Boetcher
//
//	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFContainerEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFContainer"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapID) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFContainerKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODCategoryPageLayout
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapID) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFContainerEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODFContainerKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapID) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFContainerEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFContainerEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapID) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFContainerKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFContainerKindUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapID) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kODFContainerKind,
		kODIsMacOSType {
			kODFContainerOSType
		}
	}
};

//-------------------------------------------------------------------------------------
// Icons, BNDL and FREF Resources
//-------------------------------------------------------------------------------------

include "MacIcons.rsrc" not 'ckid';

resource 'FREF' (128) {
	'shlb',
	0,
	""
};

resource 'FREF' (129) {
	'DFJD',
	0,
	""
};

resource 'FREF' (130) {
	'sFJD',
	1,
	""
};

resource 'BNDL' (128) {
	'odfJ',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 130
		}
	}
};

resource 'BNDL' (129) {
	'odtm',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 129,
			/* [2] */
			1, 130
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};

data 'odfJ' (0, "Owner resource") {
	$"00"                                                 /* . */
};

data 'odtm' (0, "Owner resource") {
	$"00"                                                 /* . */
};


