//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

// ----- Framework Includes -----
#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

//========================================================================================
// Forward Class Declarations
//========================================================================================

class FW_CPresentation;
class CPart;

//========================================================================================
// CLASS CFrame
//========================================================================================

class CFrame : public FW_CFrame
{
public:
	FW_DECLARE_AUTO(CFrame)

//----------------------------------------------------------------------------------------
//	Constructor/Destructor
//
public:
	CFrame (Environment* ev, ODFrame* odFrame, FW_CPresentation* presentation, CPart* part);
	virtual ~CFrame();

//----------------------------------------------------------------------------------------
//	inherited API from FW_CFrame
//
public:
	void 			Draw (Environment* ev, ODFacet* odFacet, ODShape* invalidShape);
	void 			DrawUpdate (Environment *ev, FW_CGraphicContext & gc);
	void 			FrameShapeChanged (Environment* ev);
	void 			FocusStateChanged (Environment *ev, ODTypeToken focus, FW_Boolean newState, ODFrame* newOwner);
	FW_Handled 		HandleWindowEvent (Environment* ev, const FW_CMacWindowEvent& windowEvent);

//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CPart* 			fPart;
};

#endif
