//========================================================================================
//
//	File:				Constant.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONSTANT_H
#define CONSTANT_H

// ----- OS Includes -----

#ifndef FWMNUITM_H
#include "FWMnuItm.h"
#endif

#ifndef FWFXMATH_H
#include "FWFxMath.h"
#endif

// ----- OpenDoc Includes -----

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

//========================================================================================
//	Constants
//========================================================================================

// ----- Tool -----
const unsigned short kSelectTool 	= 1;
const unsigned short kLine 			= 2; 
const unsigned short kRectangle 	= 3; 
const unsigned short kOval 			= 4; 
const unsigned short kRoundRect 	= 5;
const unsigned short kText 			= 6;

// ----- Corner -----
const short kInTopLeftCorner = 1;
const short kInBottomRightCorner = kInTopLeftCorner + 1;
const short kInTopRightCorner = kInBottomRightCorner + 1;
const short kInBottomLeftCorner = kInTopRightCorner + 1;

// ----- Shape rendering -----
const unsigned short kFrameOnly = 1;
const unsigned short kFillOnly = 2;
const unsigned short kFillFrame = 3;

// ----- Semantic Terminology -----

const ODDescType kShapeClass = 'DrSh';

const FW_Fixed kRulerWidth = FW_IntToFixed(15);	

#endif
