//========================================================================================
//
//	File:				DrawPart.r
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFDrawEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFDraw"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapID) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFDrawKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODCategoryDrawing
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapID) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFDrawEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODFDrawKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapID) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFDrawEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFDrawEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapID) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kODFDrawKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kODFDrawKindUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapID) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kODFDrawKind,
		kODIsMacOSType {
			kODFDrawOSType
		}
	}
};

//-------------------------------------------------------------------------------------
// BNDL Resources
//-------------------------------------------------------------------------------------

resource 'FREF' (1128) {
	'shlb',
	0,
	""
};

resource 'FREF' (1129) {
	'DFDD',
	0,
	""
};

resource 'FREF' (1130) {
	'sFDD',
	1,
	""
};

resource 'BNDL' (1130) {
	'odfD',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 1128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 1130
		}
	}
};

resource 'BNDL' (1129) {
	'odtm',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 1129,
			/* [2] */
			1, 1130
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 1128,
			/* [2] */
			1, 1129
		}
	}
};

data 'odtm' (0, "Owner resource") {
	$"00"                                                 /* . */
};

data 'odfD' (0, "Owner resource") {
	$"00"                                                 /* . */
};

include "MacIcons.rsrc" not 'ckid';

//-------------------------------------------------------------------------------------
// Other Resources
//-------------------------------------------------------------------------------------

include "Tools.Pict" not 'ckid';

