//========================================================================================
//
//	File:				DrwPrmse.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef DRWPRMSE_H
#define DRWPRMSE_H

#ifndef FWPRMISE_H
#include "FWPrmise.h"
#endif

// ----- OS Layer -----

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CDrawPromiseContent;
class CDrawPublishLink;

//========================================================================================
//	class CDrawPromise
//========================================================================================

class CDrawPromise : public FW_CPromise
{
//----------------------------------------------------------------------------------------
//	Constructor/Destructor
//
public:
	CDrawPromise(Environment*ev, 
											FW_StorageKinds storageKind, 
											FW_CCloneInfo* cloneInfo, 
											CDrawPromiseContent* promisedContent,
											FW_CLinkSource* linkSrc = NULL);
	virtual ~CDrawPromise();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void	 FulfillPromise(Environment *ev, 
						FW_CPart* part,
						ODStorageUnitView *promiseSUView, 
						ODPropertyName propertyName,
						ODValueType valueType, 
						FW_CCloneInfo* cloneInfo);
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CDrawPromiseContent*	fPromisedContent;
};

#endif