//========================================================================================
//
//	File:				FloatFrm.cpp
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "ODFDraw.hpp"

#ifndef FLOATFRM_H
#include "FloatFrm.h"
#endif

#ifndef DRAWPART_H
#include "DrawPart.h"
#endif

// ----- Part Layer -----

#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWCONTXT_H
#include "FWContxt.h"
#endif

// ----- OS Layer -----

#ifndef FWRECSHP_H
#include "FWRecShp.h"
#endif

#ifndef FWWINDOW_H
#include "FWWindow.h"
#endif

// ----- Foundation Layer -----

#ifndef FWDEBUG_H
#include "FWDebug.h"
#endif

//========================================================================================
// Runtime Information
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment odfdrawframes
#endif

//========================================================================================
// CLASS CFloatingWindowFrame
//========================================================================================

//----------------------------------------------------------------------------------------
// CFloatingWindowFrame::CFloatingWindowFrame
//----------------------------------------------------------------------------------------

CFloatingWindowFrame::CFloatingWindowFrame(Environment* ev, ODFrame* odFrame, FW_CPresentation* presentation, FW_CPart* part) :
	FW_CFrame(ev, odFrame, presentation, part),
	fMapping(FW_kDevice)
{
	SetCanBeActiveFrame(ev, FALSE);
}

//----------------------------------------------------------------------------------------
// CFloatingWindowFrame::~CFloatingWindowFrame
//----------------------------------------------------------------------------------------

CFloatingWindowFrame::~CFloatingWindowFrame()
{
}

//----------------------------------------------------------------------------------------
// CFloatingWindowFrame::EraseBackground
//----------------------------------------------------------------------------------------

void CFloatingWindowFrame::EraseBackground(Environment* ev, FW_CGraphicContext& gc)
{	
FW_UNUSED(ev);
	FW_CRect rect;
	gc.GetClipRect(rect);
	FW_CInk ink(FW_kRGBLightGray);
	FW_CRectShape::RenderRect(gc, rect, FW_kFill, ink);
}

//----------------------------------------------------------------------------------------
// CFloatingWindowFrame::HideShowFloating
//----------------------------------------------------------------------------------------

void CFloatingWindowFrame::HideShowFloating(Environment* ev)
{
	FW_CWindow *window = GetWindow(ev);
	
	window->ShowHide(ev, !window->IsShown(ev));
}



