//========================================================================================
//
//	File:				InsrtCmd.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef INSRTCMD_H
#define INSRTCMD_H

// ----- Part Layer -----

#ifndef FWINSCMD_H
#include "FWInsCmd.h"
#endif

//========================================================================================
// Forward Declaration
//========================================================================================

class CDrawFrame;
class CDrawSelection;
class CDrawUndoContent;

//========================================================================================
// CDrawInsertCommand
//========================================================================================

class CDrawInsertCommand : public FW_CInsertCommand
{
public:

  	FW_DECLARE_AUTO(CDrawInsertCommand)

	CDrawInsertCommand(Environment *ev, 
						CDrawFrame* frame, 
						const FW_PFileSpecification& fileSpec, 
						CDrawSelection* selection,
						FW_Boolean canUndo);
	virtual ~CDrawInsertCommand();

	// --- FW_CCommand overrides
	virtual void 		UndoIt(Environment *ev);
	virtual void 		RedoIt(Environment *ev);
	virtual void 		SaveRedoState(Environment *ev);
	virtual void 		FreeRedoState(Environment *ev);

public:
	virtual void		PreCommand(Environment *ev);
	virtual void 		CommandDone(Environment *ev);

private:
	CDrawSelection*		fDrawSelection;
	CDrawUndoContent*	fUndoContent;
};

#endif