//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 1 $
//
//	Written by:			Henri Lamiraux
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ODFDraw...",

	{
		FW_RPullDownMenu
		(
			"Arrange"
			{
				FW_RTextItem(cMoveForward,  'F', "Move Forward"),
				FW_RTextItem(cMoveToFront,  FW_kNoKeyEquivalent, "Move To Front"),
				FW_RTextItem(cMoveBackward, 'B', "Move Backward"),
				FW_RTextItem(cMoveToBack,  FW_kNoKeyEquivalent, "Move To Back"),
				FW_RSeparatorItem(),
				FW_RTextItem(cAlignToGrid,  FW_kNoKeyEquivalent, "Align To Grid"),
				FW_RTextItem(cAlignObjects,  FW_kNoKeyEquivalent, "Align Objects..."),
				FW_RSeparatorItem(),
				FW_RTextItem(cRotate,  FW_kNoKeyEquivalent, "Rotate..."),
				FW_RTextItem(cFlipH,  FW_kNoKeyEquivalent, "Flip Horizontal"),
				FW_RTextItem(cFlipV,  FW_kNoKeyEquivalent, "Flip Vertical"),
				FW_RSeparatorItem(),
				FW_RTextItem(cGroup,  FW_kNoKeyEquivalent, "Group"),
				FW_RTextItem(cUngroup,  FW_kNoKeyEquivalent, "Ungroup"),
				FW_RTextItem(cLock,  FW_kNoKeyEquivalent, "Lock"),
				FW_RTextItem(cUnlock,  FW_kNoKeyEquivalent, "Unlock")
			}
		),
		FW_RPullDownMenu
		(
			"Size"
			{
				FW_RTextItem(cPen1,  FW_kNoKeyEquivalent, "1 Pixel"),
				FW_RTextItem(cPen2,  FW_kNoKeyEquivalent, "2 Pixels"),
				FW_RTextItem(cPen3,  FW_kNoKeyEquivalent, "3 Pixels"),
				FW_RTextItem(cPen4,  FW_kNoKeyEquivalent, "4 Pixels"),
				FW_RTextItem(cPen5,  FW_kNoKeyEquivalent, "5 Pixels")
			}
		),
		FW_RPullDownMenu
		(
			"Options"
			{
				FW_RToggleItem(cRulers,  FW_kNoKeyEquivalent, "Hide Rulers", "Show Rulers"),
				FW_RToggleItem(cGraphicsGrid,  FW_kNoKeyEquivalent, "Hide Graphics Grid", "Show Graphics Grid"),
				FW_RToggleItem(cAutoGrid,  FW_kNoKeyEquivalent, "Turn AutoGrid On", "Turn AutoGrid Off"),
				FW_RSeparatorItem(),
				FW_RSubMenuItem
				(
					"Embed As"
					{
						FW_RTextItem(cAsFrame,  FW_kNoKeyEquivalent, "Frame"),
						FW_RTextItem(cAsLargeIcon,  FW_kNoKeyEquivalent, "Large Icon"),
						FW_RTextItem(cAsSmallIcon,  FW_kNoKeyEquivalent, "Small Icon"),
						FW_RTextItem(cAsThumbnail,  FW_kNoKeyEquivalent, "Thumbnail")
					}
				),
				FW_RSubMenuItem
				(
					"Zoom"
					{
						FW_RTextItem(cZoom50,  FW_kNoKeyEquivalent, "50%"),
						FW_RTextItem(cZoom100,  FW_kNoKeyEquivalent, "100%"),
						FW_RTextItem(cZoom200,  FW_kNoKeyEquivalent, "200%")
					}
				),
				FW_RSubMenuItem
				(
					"Units"
					{
						FW_RTextItem(cInchUnit,  FW_kNoKeyEquivalent, "Inch"),
						FW_RTextItem(cCmUnit,  FW_kNoKeyEquivalent, "Cm"),
						FW_RTextItem(cPixelUnit,  FW_kNoKeyEquivalent, "Pixel"),
						FW_RTextItem(cPicaUnit,  FW_kNoKeyEquivalent, "Pica"),
						FW_RSeparatorItem(),
						FW_RTextItem(cDegreesUnit,  FW_kNoKeyEquivalent, "Degrees"),
						FW_RTextItem(cRadiansUnit,  FW_kNoKeyEquivalent, "Radians")
					}
				),
				FW_RSeparatorItem(),
				FW_RTextItem(cScaleSelection,  FW_kNoKeyEquivalent, "Scale Selection..."),
				FW_RTextItem(cRoundCorners,  FW_kNoKeyEquivalent, "Round Corners...")
			}
		),
		FW_RPullDownMenu
		(
			"Windows"
			{
				FW_RToggleItem(cHideShowPalette,  FW_kNoKeyEquivalent, "Show Palette", "Hide Palette"),
				FW_RToggleItem(cHideShowPattern,  FW_kNoKeyEquivalent, "Show Patterns", "Hide Patterns"),
				FW_RToggleItem(cHideShowTools,  FW_kNoKeyEquivalent, "Show Tools", "Hide Tools")
			}
		)
	}
};

//----------------------------------------------------------------------------
//	Strings
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kDrawUndoStrings)
{
	kUndoDrawingMsg,		"Undo Drawing";
	kRedoDrawingMsg,		"Redo Drawing";
	kUndoFillColorMsg,		"Undo Fill Color Change";
	kRedoFillColorMsg,		"Redo Fill Color Change";
	kUndoFillPatternMsg,	"Undo Fill Pattern Change";
	kRedoFillPatternMsg,	"Redo Fill Pattern Change";
	kUndoFrameColorMsg,		"Undo Frame Color Change";
	kRedoFrameColorMsg,		"Redo Frame Color Change";
	kUndoFramePatternMsg,	"Undo Frame Pattern Change";
	kRedoFramePatternMsg,	"Redo Frame Pattern Change";
	kUndoRenderVerbMsg,		"Undo Render Verb Change";
	kRedoRenderVerbMsg,		"Redo Render Verb Change";
	kUndoPenSizeMsg,		"Undo Pen Size Change";
	kRedoPenSizeMsg,		"Redo Pen Size Change";
	kUndoGroupMsg,			"Undo Group";
	kRedoGroupMsg,			"Redo Group";
	kUndoUngroupMsg,		"Undo Ungroup";
	kRedoUngroupMsg,		"Redo Ungroup";
	kUndoResizeMsg, 		"Undo Resize";
	kRedoResizeMsg, 		"Redo Resize";
}

