//========================================================================================
//
//	File:				OvalShp.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef OVALSHP_H
#define OVALSHP_H

#ifndef CONSTANT_H
#include "Constant.h"
#endif

#ifndef BASESHP_H
#include "BaseShp.h"
#endif

#ifndef BOUNDSHP_H
#include "BoundShp.h"
#endif

// ----- Foundation Layer -----

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

//========================================================================================
// class COvalShape
//========================================================================================

class COvalShape : public CBoundedShape
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(COvalShape)

public:
	COvalShape(CDrawPart* drawPart);
	COvalShape(CDrawPart* drawPart, FW_CReadableStream& archive);
	virtual ~COvalShape();
		
	// ----- Selection
	virtual FW_Boolean	HitTest(Environment *ev, FW_CGraphicContext& gc, const FW_CMouseEvent& theMouseEvent) const;
	virtual void		RenderShape(Environment* ev, ODFacet* facet, FW_CGraphicContext& gc);
	
	// ----- Shape -----
	virtual ODShape*	CalcClipShape(Environment* ev);
	virtual ODShape*	CreateShapeOutline(Environment *ev);

	// ----- Archiving -----
	static void* 		Read(FW_CReadableStream& stream, FW_ClassTypeConstant type);

	// ----- Scripting -----
	virtual ODDescType	GetObjectClass() const;

private:
	virtual void		OutlineShape(FW_CGraphicContext& gc, const FW_CInk& ink, const FW_CStyle& style, const FW_CRect& rect);
};

#endif
