//========================================================================================
//
//	File:				PrintHdl.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PRINTHDL_H
#define PRINTHDL_H

#ifndef FWPRHDLR_H
#include "FWPrHdlr.h"
#endif

//========================================================================================
// Forward Declaration
//========================================================================================

class CDrawFrame;
class CDrawPartContent;
class FW_CPresentation;

//========================================================================================
// CDrawPrintHandler
//========================================================================================

class CDrawPrintHandler : public FW_CPrintHandler
{
//----------------------------------------------------------------------------------------
// Initialization/destruction
//
public:
	CDrawPrintHandler(Environment* ev, CDrawFrame* frame, CDrawPartContent* content, FW_CPresentation* presentation);
	virtual ~CDrawPrintHandler();

//----------------------------------------------------------------------------------------
// Inherited API
//
public:		
	virtual FW_Boolean		IsCurrentlyPrintable(Environment* ev) const;
	virtual void			GetPrintContentExtent(Environment *ev, FW_CPoint& extent) const;
//	virtual FW_CFrame*		CreatePrintFrame(Environment* ev);
//	virtual void			ReleasePrintFrame(Environment* ev);
	
//----------------------------------------------------------------------------------------
// Data Members
//
public:		
	CDrawPartContent*		fPartContent;
	FW_CPresentation*		fPrintPresentation;
	CDrawFrame*				fDrawFrame;
};

#endif