//========================================================================================
//
//	File:				RRectShp.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef RRECTSHP_H
#define RRECTSHP_H

#ifndef CONSTANT_H
#include "Constant.h"
#endif

#ifndef BASESHP_H
#include "BaseShp.h"
#endif

#ifndef BOUNDSHP_H
#include "BoundShp.h"
#endif

// ----- OS Layer -----

#ifndef FWPOINT_H
#include "FWPoint.h"
#endif

// ----- Foundation Layer -----

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif


//========================================================================================
// class CRoundRectShape
//========================================================================================

class CRoundRectShape : public CBoundedShape
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CRoundRectShape)

public:
	CRoundRectShape(CDrawPart* drawPart);
	CRoundRectShape(CDrawPart* drawPart, FW_CReadableStream& archive);
	virtual ~CRoundRectShape();
		
	// ----- Shape -----
	virtual ODShape*	CalcClipShape(Environment* ev);
	virtual ODShape*	CreateShapeOutline(Environment *ev);

	virtual FW_Boolean	HitTest(Environment *ev, FW_CGraphicContext& gc, const FW_CMouseEvent& theMouseEvent) const;
	virtual void		RenderShape(Environment* ev, ODFacet* facet, FW_CGraphicContext& gc);

	// ----- Archiving -----
	static void* 		Read(FW_CReadableStream& stream, FW_ClassTypeConstant type);
	virtual void		Flatten(FW_CWritableStream& archive);
	
	// ----- Scripting -----
	virtual ODDescType	GetObjectClass() const;

private:
	virtual void		OutlineShape(FW_CGraphicContext& gc, const FW_CInk& ink, const FW_CStyle& style, const FW_CRect& rect);

private:
	FW_CPoint			fOvalSize;
};

#endif
