//========================================================================================
//
//	File:				RectShp.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef RECTSHP_H
#define RECTSHP_H

#ifndef CONSTANT_H
#include "Constant.h"
#endif

#ifndef BASESHP_H
#include "BaseShp.h"
#endif

#ifndef BOUNDSHP_H
#include "BoundShp.h"
#endif

// ----- Foundation Layer -----

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

//========================================================================================
// class CRectShape
//========================================================================================

class CRectShape : public CBoundedShape
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CRectShape)

public:
	CRectShape(CDrawPart* drawPart);
	CRectShape(CDrawPart* drawPart, FW_CReadableStream& archive);
	virtual ~CRectShape();
				
	// ----- Archiving -----
	static void* 		Read(FW_CReadableStream& stream, FW_ClassTypeConstant type);

	// ----- Shape -----
	virtual ODShape*	CalcClipShape(Environment* ev);
	virtual ODShape*	CreateShapeOutline(Environment *ev);
	
	virtual FW_Boolean	HitTest(Environment *ev, FW_CGraphicContext& gc, const FW_CMouseEvent& theMouseEvent) const;
	virtual void		RenderShape(Environment* ev, ODFacet* facet, FW_CGraphicContext& gc);
	
	// ----- Scripting -----
	virtual ODDescType	GetObjectClass() const;

protected:
	CRectShape(CDrawPart* drawPart, unsigned short shapeType, unsigned short renderVerb);

private:
	virtual void 		OutlineShape(FW_CGraphicContext& gc, const FW_CInk& ink, const FW_CStyle& style, const FW_CRect& rect);
};

#endif
