//========================================================================================
//
//	File:				SemtTer.r
//	Release Version:	$ ODF 1 $
//
//	Author:				Greg Friedman
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#ifndef SOM_Module_OpenDoc_ODRegistry_defined
#include "ODRgstry.r"
#endif

#ifndef __AEREGISTRY__
#include "AERegistry.r"
#endif

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __APPLEEVENTS_R__
#include "AppleEvents.r"
#endif

#ifndef __ASREGISTRY__
#include <ASRegistry.r>
#endif

#define reserved3	reserved,\
					reserved,\
					reserved

#define reserved8	reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved

#define reserved9	reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved

#define reserved12	reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved,\
					reserved

resource kAETerminologyExtension (0, "English Terminology", purgeable) {
	0x1,
	0x0,
	english,
	roman,
	{	
		/* array Suites: 3 elements */
		/* [1] */
		"OpenDoc Suite",
		"Objects that OpenDoc supports.",
		kAEOpenDocSuite,
		1,
		0,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"Standard Suite",
		"Common terms for most parts",
		'CoRe',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"count",
			"Return the number of elements of a particular class within an object",
			kAECoreSuite,
			kAECountElements,
			typeLongInteger,
			"the number of elements",
			replyRequired,
			singleItem,
			notEnumerated,
			notTightBindingFunction,
			reserved8,
			verbEvent,
			reserved3,
			typeObjectSpecifier,
			"the object whose elements are to be counted",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"each",
				keyAEObjectClass,
				cType,
				"the class of the elements to be counted",
				required,
				singleItem,
				notEnumerated,
				reserved9,
				prepositionParam,
				notFeminine,
				notMasculine,
				singular
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [3] */
		"ODF Draw Suite",
		"",
		'ODFd',
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"shape",
			'DrSh',
			"",
			{	/* array Properties: 3 elements */
				/* [1] */
				"color",
				pColor,
				cRGBColor,
				"color of the shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"position",
				'ppos',
				cQDPoint,
				"upper left coordinates of the shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"shapes",
			'DrSh',
			"every shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"line",
			cLine,
			"line shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"<inherited>",
				pInherits,
				'DrSh',
				"",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"lines",
			cLine,
			"Every line",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"oval",
			cOval,
			"oval shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"<inherited>",
				pInherits,
				'DrSh',
				"",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the shape's bounding rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"ovals",
			cOval,
			"every oval",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"rectangle",
			cRectangle,
			"rectangle shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"<inherited>",
				pInherits,
				'DrSh',
				"",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the shape's bounding rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"rectangles",
			cRectangle,
			"every rectangle",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"rounded rectangle",
			cRoundedRectangle,
			"rounded rectangle shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"<inherited>",
				pInherits,
				'DrSh',
				"",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the shape's bounding rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"rounded rectangles",
			cRoundedRectangle,
			"every rounded rectangle",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			"text",
			cText,
			"text box",
			{	/* array Properties: 1 elements */
				/* [1] */
				"<inherited>",
				pInherits,
				'DrSh',
				"",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the shape's bounding rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"text",
			cText,
			"every text box",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved8,
				noApostrophe,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},

		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};

