//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 2 $
//
//	Author:				M.Boetcher
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

// ----- Framework Includes -----

#ifndef FWPARTNG_H
#include "FWPartng.h"
#endif

//========================================================================================
// Forward class declaration
//========================================================================================

class FW_CPresentation;
class CEmbedFrame;
class CEmbedProxy;
class CEmbedSelection;
class CEmbedContent;

//========================================================================================
//	CLASS CEmbedPart
//========================================================================================

class CEmbedPart : public FW_CEmbeddingPart
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	FW_DECLARE_AUTO(CEmbedPart)
	
	CEmbedPart(ODPart* odPart);
	virtual void Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage);
	
	virtual ~CEmbedPart();
		
//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual FW_CFrame* 			NewFrame(Environment* ev,
									ODFrame* odFrame, 
									FW_CPresentation* presentation,
									FW_Boolean fromStorage);

	virtual FW_CContent* 		NewPartContent(Environment* ev);

	virtual FW_Handled			DoMenu(Environment* ev, 
									const FW_CMenuEvent& theMenuEvent);
	virtual FW_Handled			DoAdjustMenus(Environment* ev, 
									FW_CMenuBar* menuBar, 
									FW_Boolean hasMenuFocus,
									FW_Boolean isRoot);
	virtual FW_Handled			DoAbout(Environment* ev);
									 
//----------------------------------------------------------------------------------------
//	New API
//
public:
	void						ChangeEmbeddedFacets(Environment* ev, 
									ODCommandID facetNumber);
	
	FW_CPresentation*			GetPresentation() const
									{return fPresentation;}
	ODCommandID					FacetNumber() const
									{return fFacetNumber;}
	short						GetRotation() const
									{return fRotation;}
																
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	FW_CPresentation*	fPresentation;
	CEmbedContent*		fEmbedContent;
	ODCommandID			fFacetNumber;
	short				fRotation;


};

#endif
