//========================================================================================
//
//	File:				Proxy.h
//	Release Version:	$ ODF 1 $
//
//	Author:				M.Boetcher
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PROXY_H
#define PROXY_H

// ----- ODF Includes -----

#ifndef FWPROXY_H
#include "FWProxy.h"
#endif

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//==============================================================================
//	Forward declarations
//==============================================================================

class FW_CEmbeddingFrame;
class CEmbedPart;

//==============================================================================
//	class CEmbedProxy
//==============================================================================

class CEmbedProxy : public FW_MProxy
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CEmbedProxy(Environment* ev, CEmbedPart* part);
	virtual ~ CEmbedProxy();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void 		UsedShapeChanged(Environment* ev,
								 	FW_CEmbeddingFrame* embeddingFrame,
								  	ODFrame* odEmbeddedFrame);
	
	virtual ODShape* 	FrameShapeRequested(Environment* ev, 
									FW_CEmbeddingFrame* embeddingFrame, 
									ODFrame* odEmbeddedFrame, 
									ODShape* requestedFrameShape);
										
	virtual void 		AdjustBorderShape(Environment* ev, 
									FW_CEmbeddingFrame* embeddingFrame, 
									ODFacet* embeddedFacet, 
									ODShape* shape);

	virtual short		CreateFacets(Environment* ev,
									FW_CEmbeddingFrame* embeddingFrame, 
									ODFacet* embeddingFacet,
									ODFrame* embeddedFrame,
									ODShape* proposedClipShape);
										
//----------------------------------------------------------------------------------------
//	New API
//
public:
	void 				RotateFacets(Environment* ev, short rotation);

	ODFacet*			CreateOneFacet(Environment* ev, 
									ODFacet* embeddingFacet, 
									ODFrame* embeddedFrame, 
									ODFacet* sibling,
									short rotation,
									short facetID,
									const FW_CRect& clipRect);
	void				EmbeddedFacetBounds(Environment* ev, 
									FW_CEmbeddingFrame* embeddingFrame, 
									FW_CRect* clipRects);
										
	static ODTransform* GetExternalTransform(Environment* ev,
									short rotation, 
									short facetID, 
									const FW_CRect& clipRect);
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CEmbedPart*			fPart;
};

#endif
