//========================================================================================
//
//	File:				Content.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONTENT_H
#define CONTENT_H

// ----- Framework Includes -----

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef FWCONTRL_H
#include "FWContrl.h"
#endif

// ----- Foundation Includes -----

#ifndef FWEXCLIB_H
#include "FWExcLib.h"
#endif

#ifndef FWBNDSTR_H
#include "FWBndStr.h"
#endif

#ifndef FWRECEVR_H
#include "FWRecevr.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CPart;
class FW_CFrame;

//========================================================================================
//	class CFormContent
//========================================================================================

class CFormContent : public FW_CContent, public FW_MReceiver
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CFormContent)
	
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CFormContent(Environment* ev, FW_CPart* part);
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void		ExternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit,
									FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CPromise* promise,
									FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	InternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit, 
								 	FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CCloneInfo* cloneInfo);

	void				AddViewInterests(Environment* ev, FW_CFrame* frame);
	virtual void		HandleNotification(Environment* ev, const FW_CNotification& notification);
	
//----------------------------------------------------------------------------------------
//	New API
//
public:
	void				ImportFromViews(Environment* ev, FW_CFrame* frame);
	void				ExportToViews(Environment* ev, FW_CFrame* frame);

	void				GetEditViewText(Environment* ev, 
										FW_CFrame* frame,
										ODID viewID);
	void				SetEditViewText(Environment* ev,
										FW_CFrame* frame,
										ODID viewID);
										
	void				GetControlValue(Environment* ev,
										FW_CFrame* frame,
										ODID viewID);
	void				SetControlValue(Environment* ev,
										FW_CFrame* frame,
										ODID viewID);
	
	FW_CString* 		ViewIDToStringAddress(ODID viewID);
	FW_ControlValue*	ViewIDToControlValueAddress(ODID viewID);
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	FW_CString			fFirstName;
	FW_CString			fLastName;
	FW_CString			fMemberName;
	FW_CString			fEMailAddress;
	FW_CString			fComments;
	FW_ControlValue		fSubscribeCheckboxState;
	FW_ControlValue		f14400RadioState;
	FW_ControlValue		f28800RadioState;
	FW_ControlValue		fFasterRadioState;
	FW_ControlValue		fBrowseMenuItem;
	FW_ControlValue		fOnlineMenuItem;
	FW_ControlValue		fWordOfMouthRadioState;
	FW_ControlValue		fHyperLinkRadioState;
	FW_ControlValue		fMacTechRadioState;
	FW_ControlValue		fMagazineRadioState;
	FW_ControlValue		fOtherRadioState;
	FW_ControlValue		fYesRadioState;
	FW_ControlValue		fNoRadioState;
};

#endif