//========================================================================================
//
//	File:				Content.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONTENT_H
#define CONTENT_H

#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef FWSTRING_H
#include "FWString.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CHelloPart;
class FW_CReadableStream;

//========================================================================================
//	class CHelloContent
//========================================================================================

class CHelloContent : public FW_CContent
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	FW_DECLARE_AUTO(CHelloContent)
	
	CHelloContent(Environment* ev, CHelloPart* part);
	virtual ~CHelloContent();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void		ExternalizeKind(Environment* ev,
									 ODStorageUnit* storageUnit,
								 	 FW_CKind* kind,
									 FW_StorageKinds storageKind,
									 FW_CPromise* promise,
									 FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	InternalizeKind(Environment* ev,
									 ODStorageUnit* storageUnit, 
								 	 FW_CKind* kind,
									 FW_StorageKinds storageKind,
									 FW_CCloneInfo* cloneInfo);

//----------------------------------------------------------------------------------------
//	New API
//
public:
	const FW_CString&	GetTextData();
	void				SetTextData(Environment* ev, const FW_CString& newText);
	void				ClearTextData(Environment* ev);

	FW_Boolean			IsTextCentered();
	void				CenterText(Environment* ev, FW_Boolean state);

//----------------------------------------------------------------------------------------
//	Data Members
//
protected:
	FW_CString			fTextData;			// part content
	FW_Boolean			fCentered;			// part setting
	CHelloPart*			fHelloPart;
};

//========================================================================================
// Inlines
//========================================================================================

inline FW_Boolean CHelloContent::IsTextCentered()
{
	return fCentered;
}

#endif