//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWDRGDRP_H
#include "FWDrgDrp.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class FW_CMenuEvent;

class CHelloPart;
class CHelloContent;

//========================================================================================
// CHelloFrame
//========================================================================================

class CHelloFrame : public FW_CFrame, public FW_MDroppableFrame, public FW_MDraggableFrame
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
  
	FW_DECLARE_AUTO(CHelloFrame)
	
	CHelloFrame(Environment* ev, 
				ODFrame* odFrame, 
				FW_CPresentation* presentation, 
				CHelloContent* content);

	virtual ~CHelloFrame();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual FW_Handled			DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);

	virtual FW_Handled			DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent);

	virtual void				Draw(Environment *ev, 
							 		ODFacet* odFacet, 
							 		ODShape* invalidShape);

	virtual void				FrameShapeChanged(Environment* ev);
	virtual void				CreateSubViews(Environment* ev);

	virtual FW_CDragCommand* 	NewDragCommand(Environment *ev, 
											FW_CFrame* theFrame,
											const FW_CMouseEvent& theMouseEvent);
	virtual FW_CDropCommand* 	NewDropCommand(Environment *ev,
											FW_CFrame* frame,
											ODDragItemIterator* dropInfo, 
											ODFacet* odFacet, 
											const FW_CPoint& dropPoint);

	virtual FW_CClipboardCommand* NewClipboardCommand(Environment* ev, ODCommandID commandID);

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CHelloContent* 		fHelloContent;
};

#endif
