//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----

#ifndef FWPART_H
#include "FWPart.h"
#endif

// ----- OS Layer -----

#ifndef FWRESFIL_H
#include "FWResFil.h"
#endif

// ----- Foundation Layer -----

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWBNDSTR_H
#include "FWBndStr.h"
#endif


//========================================================================================
// Forward Declarations
//========================================================================================

class CHelloContent;

//========================================================================================
// CHelloPart
//========================================================================================

class CHelloPart : public FW_CPart
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:

	FW_DECLARE_AUTO(CHelloPart)
	
	CHelloPart(ODPart* odPart);
	virtual ~CHelloPart();

	virtual void Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage);

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_CContent*		NewPartContent(Environment* ev);

	virtual FW_CFrame*			NewFrame(Environment* ev,
								 	ODFrame* odFrame,
								 	FW_CPresentation* presentation,
								 	FW_Boolean fromStorage);

	virtual FW_Handled			DoAdjustMenus(Environment* ev,
									FW_CMenuBar* menuBar, 
									FW_Boolean hasMenuFocus,
									FW_Boolean isRoot);

	virtual FW_Handled			DoMenu(Environment* ev,
							  		const FW_CMenuEvent& theMenuEvent);

	virtual FW_Handled			DoAbout(Environment* ev);
	
//----------------------------------------------------------------------------------------
//	New API
//
public:
	void					PartChanged(Environment* ev, FW_Boolean invalidateOnly);
		// Call this after changing part data, to notify the proper authorities

//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CHelloContent*			fPartContent;
	FW_CPresentation*		fPresentation;
};

#endif
