//========================================================================================
//
//	File:				Part.r
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// Code Fragment Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFHelloEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFHello"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapID) {
	kODKind,
	{
		kODFHelloKind, kODIsAnISOStringList {
			{
				kODCategoryPlainText
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapID) {
	kODEditorKinds,
	{
		kODFHelloEditor, kODIsAnISOStringList {
			{
				kODFHelloKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapID) {
	kODEditorUserString,
	{
		kODFHelloEditor, kODIsINTLText {
			smRoman, langEnglish, kODFHelloEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapID) {
	kODKindUserString,
	{
		kODFHelloKind, kODIsINTLText {
			smRoman, langEnglish, "ODFHello"
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapID) {
	kODKindOldMacOSType,
	{
		kODFHelloKind, kODIsMacOSType {
			kODFHelloOSType
		}
	}
};

resource kODNameMappings (kEditorPlatformKinds) {
	kODEditorPlatformKind,
	{
		kODFHelloEditor, kODIsPltfmTypeSpac {
			{
				kODPlatformFileType,  'TEXT',  smRoman,  langEnglish,  "Text File",  kODCategoryPlainText,
				kODPlatformDataType,  'TEXT',  smRoman,  langEnglish,  "Text Data",  kODCategoryPlainText
			}
		}
	}
};

//-------------------------------------------------------------------------------------
// BNDL resources 
//-------------------------------------------------------------------------------------

resource 'FREF' (128) {
	'shlb',
	0,
	""
};

resource 'FREF' (132) {
	'DFHD',
	1,
	""
};

resource 'FREF' (133) {
	'sFHD',
	2,
	""
};

resource 'BNDL' (128) {
	'odfH',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 130
		}
	}
};

resource 'BNDL' (129) {
	'odtm',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			1, 132,
			/* [2] */
			2, 133
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			1, 128,
			/* [2] */
			2, 129
		}
	}
};

data 'odtm' (0, "Owner resource") {
	$"00"                                                 /* . */
};

data 'odfH' (0, "Owner resource") {
	$"00"                                                 /* . */
};

include "MacIcons.rsrc" not 'ckid';

