//========================================================================================
//
//	File:				Select.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SELECT_H
#define SELECT_H

// ----- Framework Includes -----

#ifndef FWSELECT_H
#include "FWSelect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CCloneInfo;

class CHelloContent;
class FW_CString;

//========================================================================================
//	class CHelloSelection
//========================================================================================

class CHelloSelection : public FW_CSelection
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
  
	FW_DECLARE_AUTO(CHelloSelection)
	
	CHelloSelection(Environment* ev, CHelloContent* content);
	virtual ~CHelloSelection();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual void			CloseSelection(Environment* ev);
	virtual void			ClearSelection(Environment* ev);
	virtual FW_Boolean		IsEmpty(Environment* ev) const;
	virtual void			SelectAll(Environment* ev);

	virtual FW_CContent*	GetSelectedContent(Environment* ev);
														
//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CHelloContent*			fHelloContent;
};


#endif
