//========================================================================================
//
//	File:				Frame.cpp
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#include "Frame.h"
#endif

#ifndef PART_H
#include "Part.h"
#endif

// ----- Framework Includes -----

#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWCONTXT_H
#include "FWContxt.h"
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"
#endif

//========================================================================================
//	Runtime informations
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment odfnothing
#endif

//========================================================================================
//	CLASS CNothingFrame
//========================================================================================

FW_DEFINE_AUTO(CNothingFrame)

//----------------------------------------------------------------------------------------
//	 CNothingFrame::CNothingFrame
//----------------------------------------------------------------------------------------

CNothingFrame::CNothingFrame(Environment* ev, ODFrame* odFrame, FW_CPresentation* presentation, FW_CPart* part) :
	FW_CFrame(ev, odFrame, presentation, part)
{
	FW_END_CONSTRUCTOR
}

//----------------------------------------------------------------------------------------
//	 CNothingFrame::~CNothingFrame
//----------------------------------------------------------------------------------------

CNothingFrame::~CNothingFrame()
{
	FW_START_DESTRUCTOR
}

//----------------------------------------------------------------------------------------
//	 CNothingFrame::Draw
//----------------------------------------------------------------------------------------

void CNothingFrame::Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape)
{
	FW_CViewContext fc(ev, this, odFacet, invalidShape);

	FW_CRect box = GetBounds(ev);	
	FW_CRectShape::RenderRect(fc, box, FW_kFill, FW_kRGBBlue);
}
