//========================================================================================
//
//	File:				Part.cpp
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#include "Part.h"
#endif

#ifndef FRAME_H
#include "Frame.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

// ----- Framework Includes -----

#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWCFMRES_H
#include "FWCFMRes.h"
#endif

//========================================================================================
//	Runtime informations
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment odfnothing
#endif

//========================================================================================
//	CLASS CNothingPart
//========================================================================================


FW_DEFINE_AUTO(CNothingPart)
	
//----------------------------------------------------------------------------------------
//	 CNothingPart::CNothingPart
//----------------------------------------------------------------------------------------

CNothingPart::CNothingPart(ODPart* odPart):
	FW_CPart(odPart, FW_gInstance, kPartInfoID)
{
	FW_END_CONSTRUCTOR
}

//----------------------------------------------------------------------------------------
//	 CNothingPart::~CNothingPart
//----------------------------------------------------------------------------------------

CNothingPart::~CNothingPart()
{
	FW_START_DESTRUCTOR
}

//----------------------------------------------------------------------------------------
//	 CNothingPart::Initialize
//----------------------------------------------------------------------------------------

void CNothingPart::Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage)
{
	FW_CPart::Initialize(ev, storageUnit, fromStorage);
	
	RegisterPresentation(ev, "Apple:Presentation:ODFNothing", TRUE);
}

//----------------------------------------------------------------------------------------
//	 CNothingPart::NewFrame
//----------------------------------------------------------------------------------------

FW_CFrame* CNothingPart::NewFrame(Environment* ev, 
								  ODFrame* odFrame, 
								  FW_CPresentation* presentation, 
								  FW_Boolean fromStorage)
{
FW_UNUSED(presentation);
FW_UNUSED(fromStorage);
	
	return FW_NEW(CNothingFrame, (ev, odFrame, presentation, this));
}

//----------------------------------------------------------------------------------------
//	 CNothingPart::NewPartContent
//----------------------------------------------------------------------------------------

FW_CContent* CNothingPart::NewPartContent(Environment* ev)
{
FW_UNUSED(ev);
	return NULL;
}
