//========================================================================================
//
//	File:				FWNotifr.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWNOTIFR_H
#define FWNOTIFR_H

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#ifndef FWINTERE_H
#include "FWIntere.h"
#endif

#ifndef FWEXCLIB_H
#include "FWExcLib.h"
#endif

//========================================================================================
// Forward declarations
//========================================================================================

class FW_MReceiver;
class FW_CNotification;

//========================================================================================
// Type declarations
//========================================================================================

//========================================================================================
// CLASS FW_MNotifier
//========================================================================================

class FW_MNotifier
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(FW_MNotifier)
	
//----------------------------------------------------------------------------------------
//	Constructors/Destructor
//
public:
	virtual ~FW_MNotifier();

protected:
	FW_MNotifier();
	
//----------------------------------------------------------------------------------------
//	API
//	
public:
	virtual void		Notify(Environment* ev, const FW_CNotification &notification);
	virtual void		Notify(Environment* ev, FW_Message message);
	
	FW_Boolean			IsConnectedTo(FW_MReceiver* receiver, const FW_CInterest& interest);

//----------------------------------------------------------------------------------------
//	Internal API
//	
	FW_ObjectID			PrivGetNotifierID() const;
	void				PrivSetNotifierID(FW_ObjectID newID);
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	FW_ObjectID	fNotifierID;
};

//----------------------------------------------------------------------------------------
// FW_MNotifer::PrivGetNotifierID
//----------------------------------------------------------------------------------------
inline FW_ObjectID FW_MNotifier::PrivGetNotifierID() const
{
	return fNotifierID;
}

//----------------------------------------------------------------------------------------
// FW_MNotifer::PrivSetNotifierID
//----------------------------------------------------------------------------------------
inline void FW_MNotifier::PrivSetNotifierID(FW_ObjectID newID)
{
	fNotifierID = newID;
}

#endif
