//========================================================================================
//
//	File:				FWBndStr.cpp
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWBNDSTR_H
#define FWBNDSTR_H

#ifndef FWPSTR_H
#include "FWPStr.h"
#endif

//========================================================================================
//	CLASS FW_CString32
//========================================================================================

class FW_CString32 : public FW_CString
{
public:

	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(FW_CString32)
	
	virtual ~FW_CString32();
	FW_CString32();
	FW_CString32(const FW_CString32& other);
	FW_CString32(const FW_CString& string);
	FW_CString32(const FW_Char *bytes, FW_ByteCount numberBytes);
	FW_CString32(const FW_Char *items);
	
	FW_CString32& operator=(const FW_CString32& other);
	FW_CString32& operator=(ODIText* text);
	FW_CString32& operator=(const char* string);

//----------------------------------------------------------------------------------------
// Streaming
public:

	static void* Read(FW_CReadableStream& stream, FW_ClassTypeConstant type);

private:
	unsigned char fBuffer[36];
};

//----------------------------------------------------------------------------------------
// Inline functions
//----------------------------------------------------------------------------------------

inline FW_CString32& FW_CString32::operator=(ODIText* text)
{
	ReplaceAll(text);
	return *this;
}

inline FW_CString32& FW_CString32::operator=(const char* string)
{
	ReplaceAll(string);
	return *this;
}

//========================================================================================
//	CLASS FW_CString255
//========================================================================================

class FW_CString255 : public FW_CString
{
public:

	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(FW_CString255)
	
	virtual ~FW_CString255();
	FW_CString255();
	FW_CString255(const FW_CString255& other);
	FW_CString255(const FW_CString& string);
	FW_CString255(const FW_Char *bytes, FW_ByteCount numberBytes);
	FW_CString255(const FW_Char *items);
	
	FW_CString255& operator=(const FW_CString255& other);
	FW_CString255& operator=(ODIText* text);
	FW_CString255& operator=(const char* string);
	
//----------------------------------------------------------------------------------------
// Streaming
public:

	static void* Read(FW_CReadableStream& stream, FW_ClassTypeConstant type);

private:
	unsigned char fBuffer[260];
};

//----------------------------------------------------------------------------------------
// Inline functions
//----------------------------------------------------------------------------------------

inline FW_CString255& FW_CString255::operator=(ODIText* text)
{
	ReplaceAll(text);
	return *this;
}

inline FW_CString255& FW_CString255::operator=(const char* string)
{
	ReplaceAll(string);
	return *this;
}

#endif
