//========================================================================================
//
//	File:				FWEventD.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWEVENTD_H
#define FWEVENTD_H

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#ifndef FWPOINT_H
#include "FWPoint.h"
#endif

// ----- OpenDoc Includes -----

#ifndef FWODMISS_H
#include "FWODMiss.h"
#endif

//==============================================================================
//	Forward Declarations
//==============================================================================

class FW_MEventHandler;
class FW_CMenuBar;
class FW_CFrame;
class ODFrame;
class ODFacet;

//==============================================================================
//	 class FW_CEventDispatcher
//==============================================================================

class FW_CEventDispatcher
{
public:
	FW_CEventDispatcher();
	FW_CEventDispatcher(FW_MEventHandler* theEventHandler, FW_CMenuBar* theMenuBar);
	virtual ~ FW_CEventDispatcher();
	
	virtual FW_Handled			Dispatch(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, ODEventInfo* eventInfo);

protected:
	virtual FW_Handled 			DispatchNullEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODEventInfo* eventInfo);
	virtual FW_Handled			DispatchMouseDownEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, FW_Boolean inBackground, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchMouseUpEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchEmbeddedMouseDownEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, FW_Boolean inBackground, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchEmbeddedMouseUpEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchBorderMouseDownEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchVirtualKeyDownEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchVirtualKeyUpEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchCharKeyEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODEventInfo* eventInfo);
	virtual FW_Handled			DispatchActivateEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODFacet* odFacet, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchMenuEvent(Environment* ev, ODEventData* event, FW_CFrame* frame, ODEventInfo* eventInfo);
	
#ifdef FW_BUILD_MAC
	virtual FW_Handled 			DispatchWindowEvent(Environment* ev, FW_CFrame* frame, ODEventData* event, ODFacet* odFacet, ODEventInfo* eventInfo);
	virtual FW_Handled 			DispatchOSEvent(Environment* ev, FW_CFrame* frame, ODEventData* event, ODFacet* odFacet, ODEventInfo* eventInfo);
#endif

	static short				OnMouseDown(Environment* ev, ODEventData* event);
	static void					OnMouseUp(Environment* ev, ODEventData* event);
	
	static unsigned short	 	fgAutoRepeatCount;
	static FW_PlatformPoint 	fgLastMouseUpWhere;

	static unsigned long 		fgLastMouseUp;
	static short 				fgClickCount;

private:
	FW_MEventHandler* 			fEventHandler;
	FW_CMenuBar* 				fMenuBar;		// For translating menu events to commands
	FW_MEventHandler*			fLastMouseDownTarget;
	FW_MEventHandler*			fLastMouseDownFrame;
};

#endif
