//========================================================================================
//
//	File:				FWPictSv.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPICTSV_H
#define FWPICTSV_H

#ifndef FWSVIEW_H
#include "FWSView.h"
#endif

#ifndef FWPICTUR_H
#include "FWPictur.h"
#endif

//========================================================================================
// Forward Class Declarations
//========================================================================================

class FW_CViewContext;

//========================================================================================
// FW_CPictSView
//========================================================================================

class FW_CPictSView : public FW_CSuperView
{
public:		
	FW_DECLARE_AUTO(FW_CPictSView)

	// -------- Constructors/Destructors ---------
public:		
	FW_CPictSView(Environment *ev, 
					FW_CSuperView* container, 
					const FW_CRect& bounds,
					ODID viewID,
					FW_CPicture& picture,
					FW_EScrollingDirection scrollDir = FW_kNoScrolling);

	FW_CPictSView(Environment *ev, 
					FW_CSuperView* container, 
					const FW_CRect& bounds,
					ODID viewID,
					FW_ResourceID pictID,
					const FW_CPoint& extent = FW_kZeroPoint, 	// will use pict size
					FW_EScrollingDirection scrollDir = FW_kNoScrolling);

	FW_CPictSView(Environment *ev);
	
	virtual ~ FW_CPictSView();

	// -------- New API ---------
	
	void 			DrawAnotherPicture(Environment* ev, ODFacet* facet, ODShape* invalidShape,
									FW_CPicture& picture, FW_Boolean scale = false);
	
	// ----- inherited API -----

	virtual void	Draw(Environment *ev, ODFacet* facet, ODShape* invalidShape);

	// ----- Archiving -----
	static void*	Create(FW_CReadableStream& stream, FW_ClassTypeConstant type);
	static void		Destroy(void* object, FW_ClassTypeConstant type);
	virtual void 	Flatten(Environment* ev, FW_CWritableStream& stream) const;
	virtual void 	InitializeFromStream(Environment* ev, FW_CReadableStream& stream);

	// ----- private API -----
private:
	void 			Initialize(Environment* ev, const FW_CPoint& extent);
	void 			DrawPictNotFound(Environment* ev, FW_CViewContext& vc, FW_Boolean usePictID);

	// ----- private Data -----
private:
	FW_CPicture		fPicture;
	FW_ResourceID	fPictID;
	FW_Boolean		fPictNotFound;
};

#endif
