//========================================================================================
//
//	File:				FWSUUtil.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSUUTIL_H
#define FWSUUTIL_H

#ifndef _STORUTIL_
#include <StorUtil.h>
#endif

// ----- OpenDoc Includes -----

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

#ifndef SOM_ODRefCntObject_xh
#include <RefCtObj.xh>
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class ODShape;
class ODStorageUnit;
class ODFrame;

class FW_CFrame;
class FW_CPoint;
class FW_CRect;

//========================================================================================
//	Storage Utilities
//========================================================================================

FW_Boolean FW_SUExistsThenFocus(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop,
								ODValueType val);
void FW_SUForceFocus(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop, 
								ODValueType val);
void FW_SUAddPropValue(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop, 
								ODValueType val);
void FW_SURemoveProperty(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop);
void FW_SURemoveValue(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop, 
								ODValueType val);
void FW_SUClearValue(Environment* ev, 
								ODStorageUnit* storageUnit, 
								ODPropertyName prop, 
								ODValueType val);
void FW_SUDeleteEndOfFocusedValue(Environment* ev, 
								ODStorageUnit* storageUnit);

#ifdef FW_BUILD_MAC
FW_Boolean FW_MacSUReadHFSFlavor(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop,
								HFSFlavor& flavor);
#endif

//========================================================================================
//	Global Inline Methods
//========================================================================================

//----------------------------------------------------------------------------------------
// FW_SUForceFocus
//----------------------------------------------------------------------------------------
inline void FW_SUForceFocus(Environment* ev, 
							ODStorageUnit* su, 
							ODPropertyName prop, 
							ODValueType val)
{
	ODSUForceFocus(ev, su, prop, val);
}

//----------------------------------------------------------------------------------------
// FW_SUExistsThenFocus
//----------------------------------------------------------------------------------------
inline FW_Boolean FW_SUExistsThenFocus(Environment* ev, 
										ODStorageUnit* su, 
										ODPropertyName prop, 
										ODValueType val)
{
	return ODSUExistsThenFocus(ev, su, prop, val);
}

//----------------------------------------------------------------------------------------
// FW_SURemoveProperty
//----------------------------------------------------------------------------------------
inline void FW_SURemoveProperty(Environment* ev, 
								ODStorageUnit* su, 
								ODPropertyName prop)
{
	ODSURemoveProperty(ev, su, prop);
}

#endif
