//========================================================================================
//
//	File:				FWColorP.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWCOLORP_H
#define FWCOLORP_H

#ifndef FWCOLOR_H
#include "FWColor.h"
#endif

//========================================================================================
//	Forward Class Declarations
//========================================================================================

class FW_CColorPicker;
class FW_CWritableStream;
class FW_CReadableStream;

//========================================================================================
//	Global operators << and >>
//========================================================================================

FW_CWritableStream& operator<<(FW_CWritableStream& stream, const FW_CColorPicker& colorPicker);
FW_CReadableStream& operator>>(FW_CReadableStream& stream, FW_CColorPicker& colorPicker);

//========================================================================================
// CLASS FW_CColorPicker
//========================================================================================

class FW_CColorPicker
{
public:
	FW_CColorPicker();
	FW_CColorPicker(FW_CReadableStream& stream);
	
	~FW_CColorPicker();


	void 		SetColor(const FW_CColor& color);
	FW_CColor 	GetColor() const;
	
	FW_Boolean	PickNewColor();
	
	// ----- Persistence -----
	void		Read(FW_CReadableStream& stream);
	void		Write(FW_CWritableStream& stream) const;

private:
	FW_CColor	fColor;
	FW_CColor	fCustomColors[16];
	
};

#endif