//========================================================================================
//
//	File:				Scroller.h
//	Release Version:	$ ODF 2 $  
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SCROLLER_H
#define SCROLLER_H

#ifndef FWSCROLR_H
#include "FWScrolr.h"
#endif

//========================================================================================
//	Forward Class Declarations
//========================================================================================

class CTablePartContent;
class CTableFrame;

//========================================================================================
//	class CTableScroller
//========================================================================================

class CTableScroller : public FW_CScrollBarScroller
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(CTableScroller)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CTableScroller(Environment* ev);
	virtual ~CTableScroller();

	virtual FW_CPoint		TranslationToPixels(Environment* ev, const FW_CPoint& translation) const;
	virtual FW_CRect		GetScrollingArea(Environment* ev) const;
	virtual FW_Fixed		CalcMaxTranslation(Environment* ev, FW_Fixed scrollingArea, FW_XYSelector direction);

	// ----- Archiving -----
	static void* 			Create(FW_CReadableStream& stream, FW_ClassTypeConstant type);
	static void				Destroy(void* object, FW_ClassTypeConstant type);	
	virtual void			InitializeFromStream(Environment* ev, FW_CReadableStream& stream);

//----------------------------------------------------------------------------------------
//	New API
//
public:
	FW_CPoint				PixelsToTranslation(const FW_CPoint& PixelOffset) const;

//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	CTablePartContent*		fTableContent;
	CTableFrame*			fTableFrame;
};

#endif